package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TradeKind;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.vo.TradeKindTreeVo;
import com.nantian.cloud.jljc.vo.TreeVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 行业门类、大类、行业编码 Mapper 接口
 * </p>
 *
 * @author stz
 * @since 2020-08-10
 */
@Mapper
public interface TradeKindMapper extends BaseMapper<TradeKind> {

    TradeKind getNameByCode(TradeKind tradeKind);

    List<TradeKindTreeVo> getTradeKindTree();

    TradeKind selectbycode(TradeKind tradeKind);

    List<TradeKind> selectCategory();
}
